#ifndef WRLS_H
#define WRLS_H

#include "cb.h"
#include "DistCrit/criteria.h"
#include "iter.h"
#include "operatns.h"

#define DLS_IMPROVED 1
#define DLS_ERROR 2

int DynamicLocalSearch(TRAININGSET* TS, CODEBOOK* CB, PARTITIONING* PA,
    CriterionInfo* CI, float* FinalError, int MaxClusters,
    Operations* Ops, Iterations* Iter, int GLAIterations, int Output);

#endif
